import request from '@/utils/request'

// 查询网格清单
export function gridCheckList(query) {
    return request({
      url: '/system/grid/listSearch/list',
      method: 'get',
      params: query
    })
  }

// 指标id查询
export function systemRankingIndexList(query) {
  return request({
    url: '/system/ranking/indexList',
    method: 'get',
    params: query
  })
}

// 查询指标排名列表
export function systemRankingList(query) {
  return request({
    url: '/system/ranking/list',
    method: 'get',
    params: query
  })
}

// 评论列表
export function systemRankingId(id) {
  return request({
    url: `/system/ranking/${id}`,
    method: 'get',
  })
}

// 评论新增
export function systemRanking(data) {
  return request({
    url: '/system/ranking',
    method: 'post',
    params: data
  })
}